# Get TikTok creator info

Fetches TikTok creator info.

```http
GET https://api.pozy.ai/v1/accounts/{accountId}/tiktok/creator-info
```

- Area: Accounts & connections / Accounts
- Auth: Authorization: Bearer pz_live_...

## Path parameters

- `accountId` (string, required)

## Query parameters

- `mediaType` (string): one of video, photo

## Example request

```bash
curl -X GET "https://api.pozy.ai/v1/accounts/696e0b682d0a31188e7a2ba9/tiktok/creator-info" \
  -H "Authorization: Bearer $POZY_API_KEY"
```

```ts
const res = await fetch("https://api.pozy.ai/v1/accounts/696e0b682d0a31188e7a2ba9/tiktok/creator-info", {
  headers: { Authorization: `Bearer ${process.env.POZY_API_KEY}` },
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);
```

```python
import os
import requests

resp = requests.get(
    "https://api.pozy.ai/v1/accounts/696e0b682d0a31188e7a2ba9/tiktok/creator-info",
    headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
    timeout=30,
)
resp.raise_for_status()
print(resp.json())
```

## Response 200

- `creator`, object
  - `nickname`, string
  - `avatarUrl`, string
  - `isVerified`, boolean
  - `canPostMore`, boolean
- `privacyLevels`, array of object
  - `value`, string
  - `label`, string
- `postingLimits`, object
  - `maxVideoDurationSec`, integer
  - `interactionSettings`, object
    - `allow_comment`, object
      - `enabled`, boolean
      - `required`, boolean
      - `default`, boolean
      - `label`, string
    - `allow_duet`, object: Can be null
      - `enabled`, boolean
      - `required`, boolean
      - `default`, boolean
      - `label`, string
    - `allow_stitch`, object: Can be null
      - `enabled`, boolean
      - `required`, boolean
      - `default`, boolean
      - `label`, string
- `commercialContentTypes`, array of object
  - `value`, string
  - `label`, string
  - `requires`, array of string

```json
{
  "creator": {
    "nickname": "Acme",
    "avatarUrl": "https://pozy.ai/media/example-1.jpg",
    "isVerified": true,
    "canPostMore": true
  },
  "privacyLevels": [
    {
      "value": "string",
      "label": "string"
    }
  ],
  "postingLimits": {
    "maxVideoDurationSec": 1,
    "interactionSettings": {
      "allow_comment": {
        "enabled": true,
        "required": true,
        "default": true,
        "label": "string"
      },
      "allow_duet": {
        "enabled": true,
        "required": true,
        "default": true,
        "label": "string"
      },
      "allow_stitch": {
        "enabled": true,
        "required": true,
        "default": true,
        "label": "string"
      }
    }
  },
  "commercialContentTypes": [
    {
      "value": "string",
      "label": "string",
      "requires": [
        "string"
      ]
    }
  ]
}
```
